#!/bin/bash

TAG="master"
if [[ $1 ]]; then TAG="$1"; fi

echo "Grabbing git tarball from ${TAG} branch/tag ..."

projects="org.eclipse.datatools"
gitroot="git://git.eclipse.org/gitroot/datatools"

for project in $projects; do
	if [[ -d ${project} ]]; then rm -fr ${project}; fi
	git clone ${gitroot}/${project}.git
	(cd $project && git checkout ${TAG} -q)
	(cd $project && git archive --format=tar --prefix=$project-$TAG/ $TAG | xz > ../$project-$TAG.tar.xz)
	echo "Tarball created: $project-$TAG.tar.xz"
done 

